## org.hibernate.cfg.beanvalidation
Class BeanValidationActivator

    java.lang.Object
      org.hibernate.cfg.beanvalidation.BeanValidationActivator

    public class BeanValidationActivator

extends Object

This class has no hard dependency on Bean Validation APIs It must use reflection every time BV is required.

Author:
  Emmanuel Bernard

Constructor Summary
`BeanValidationActivator()`

Method Summary
`static void` `activateBeanValidation(EventListeners eventListeners, Properties properties)`
`static void` `applyDDL(Collection<PersistentClass> persistentClasses, Properties properties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanValidationActivator

    public BeanValidationActivator()

Method Detail

### activateBeanValidation

    public static void activateBeanValidation(EventListeners eventListeners,
                                              Properties properties)

### applyDDL

    public static void applyDDL(Collection<PersistentClass> persistentClasses,
                                Properties properties)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.